 MPI_Pcontrol is used to enable or disable tracing of events for MPI functions.

The invocation for C is

#include <mpi.h>
#include <utetrcev.h>
int MPI_Pcontrol(const int level, const int mask);


The invocation for FORTRAN is 

include 'mpif.h'
include 'utetrcevf.h'
call mpi_pcontrol(integer level, integer mask)

 The level parameter indicates what level of tracing is to be enabled or
disabled:

0: Disable tracing for all MPI functions. mask is ignored.

1: Enable tracing for all MPI functions. mask is ignored.

2: Disable tracing for the group of events specified in mask. See utetrcev.h
or utetrcevf.h for details.

3: Enable tracing for the group of events specified in mask. See utetrcev.h
or utetrcevf.h for details.

4: Disable tracing for the specific MPI function identified by mask. See
utetrcev.h or utetrcevf.h for details.

5: Enable tracing for the specific MPI function identified by mask. See
utetrcev.h or utetrcevf.h for details.

 The trace event mask maintained by MPI_Pcontrol is cumulative across all calls
to MPI_Pcontrol. For instance, you can enable tracing for all point to point
communication calls, then just disable tracing for MPI_Send.

 For this release, you will need to manually copy the utetrcev.h and 
utetrcevf.h files to a directory accessible by your compiler.
